Bug 255171 - math/cgal: Update to 5.2.1
Summary: math/cgal: Update to 5.2.1
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Wen Heping
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2021-04-18 08:54 UTC by Loïc Bartoletti
Modified: 2021-06-17 05:34 UTC (History)
0 users

See Also:
lbartoletti: maintainer-feedback+


Attachments
cgal 5.2.1 (315.42 KB, patch)
2021-04-18 08:54 UTC, Loïc Bartoletti
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Loïc Bartoletti freebsd_committer 2021-04-18 08:54:12 UTC
Created attachment 224209 [details]
cgal 5.2.1

math/cgal: Update to 5.2.1

 * Remove files/patch-CMakeLists.txt
 * Remove LD_CONFIG and move USES (pet porlint)
 * Bump ports

 Changelog:

   - https://www.cgal.org/2021/03/17/cgal521/
   - https://www.cgal.org/2020/12/22/cgal52/


QA:

  * portlint: OK (looks fine / except $FreeBSD$ issue.) [1]
  * testport: OK (poudriere: 11/12, i386/amd64, Qt5/Visualization tested) + depending ports tested + CI for SFCGAL with CGAL 5.2.1

[1] %%DOCSDIR%% can't be applied since PORTNAME is cgal and docs are installed in share/doc/CGAL ... should we patch this?
Comment 1 Wen Heping freebsd_committer 2021-06-11 23:39:46 UTC
Approved ! 
Would you commit it? Thank you !
Comment 2 commit-hook freebsd_committer 2021-06-17 05:09:13 UTC
A commit in branch main references this bug:

URL: https://cgit.FreeBSD.org/ports/commit/?id=6d6c5520f6e01508a28a0d7b148813979f9b2acf

commit 6d6c5520f6e01508a28a0d7b148813979f9b2acf
Author:     Loïc Bartoletti <lbartoletti@FreeBSD.org>
AuthorDate: 2021-06-17 04:51:16 +0000
Commit:     Loïc Bartoletti <lbartoletti@FreeBSD.org>
CommitDate: 2021-06-17 04:51:16 +0000

    math/cgal: Update to 5.2.1

     - Remove files/patch-CMakeLists.txt
     - Remove LD_CONFIG and move USES (pet porlint)
     - Bump ports

    Changes:
       - https://www.cgal.org/2021/03/17/cgal521/
       - https://www.cgal.org/2020/12/22/cgal52/

    PR:             255171
    Approved by:    wen

 cad/PrusaSlicer/Makefile                    |    2 +-
 cad/openscad-devel/Makefile                 |    2 +-
 cad/openscad/Makefile                       |    2 +-
 databases/sfcgal/Makefile                   |    1 +
 games/flightgear-terragear/Makefile         |    2 +-
 graphics/colmap/Makefile                    |    2 +-
 graphics/wdune/Makefile                     |    1 +
 math/cgal/Makefile                          |    8 +-
 math/cgal/distinfo                          |    6 +-
 math/cgal/files/patch-CMakeLists.txt (gone) |   18 -
 math/cgal/pkg-plist                         | 6629 ++++++++++++++-------------
 11 files changed, 3383 insertions(+), 3290 deletions(-)
Comment 3 Loïc Bartoletti freebsd_committer 2021-06-17 05:34:29 UTC
Committed, thanks!